Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Why update the Standard Firmware to 1.1.30 if it is working fine now?

Discussion in 'Standard/4k Discussion' started by telescott, Oct 23, 2015.

  1. telescott

    Joined:
    Oct 5, 2015
    Messages:
    251
    Likes Received:
    89
    What is new and why update to 1.1.30 on the standard?

    It is working fine now and I don't want to screw it up.

    Tele
     
  2. dirkclod

    dirkclod Moderator
    Staff Member

    Joined:
    May 9, 2014
    Messages:
    10,688
    Likes Received:
    5,714
    Location:
    Amory Mississippi
    That's what mine has been on. What is yours on now ?
    And mine is fine .
     
  3. telescott

    Joined:
    Oct 5, 2015
    Messages:
    251
    Likes Received:
    89
    I am on 1.1.20

    I have had it for a few weeks now and all is well.
     
  4. dirkclod

    dirkclod Moderator
    Staff Member

    Joined:
    May 9, 2014
    Messages:
    10,688
    Likes Received:
    5,714
    Location:
    Amory Mississippi
    I've had mine for over a month and that's what it might have been when I set it up and has just auto updated as I'm on 1.1.30
    I've not had any issues and mine's flying fine .
    Not saying you won't but have never seen anything to update it since I've had mine .
    I did update the app awhile back .
     
  5. Timritchieblue

    Joined:
    Aug 30, 2015
    Messages:
    132
    Likes Received:
    28
    Mines working fine, if the wind would calm down,, S.texas isn't looking good for flying this weekend.
     
  6. telescott

    Joined:
    Oct 5, 2015
    Messages:
    251
    Likes Received:
    89
    My biggest reason is that everything is fine now, so I dont think I need to update it. Unless there is something new that is going to give me features I really cant live without